wibble::log::FileSender Struct Reference

Discard all messages. More...

`#include <file.h>`

Inheritance diagram for wibble::log::FileSender:
[legend]
Collaboration diagram for wibble::log::FileSender:
[legend]

## Public Member Functions

| FileSender (const std::string &filename)
virtual | ~FileSender ()
virtual void | send (Level level, const std::string &msg)
| Log one line of text with the given level. More...
Public Member Functions inherited from wibble::log::Sender
virtual | ~Sender ()

## Protected Attributes

int | out
std::string | name

## Detailed Description

Discard all messages.

## Constructor & Destructor Documentation

wibble::log::FileSender::FileSender | ( | const std::string & | filename | ) |

References out.

wibble::log::FileSender::~FileSender | ( |  | ) |

virtual

References out.

## Member Function Documentation

void wibble::log::FileSender::send | ( | Level | level,
|  | const std::string & | msg
| ) |  |

virtual

Log one line of text with the given level.

Do not add a trailing newline

Implements wibble::log::Sender.

References name, and out.

## Member Data Documentation

std::string wibble::log::FileSender::name

protected

Referenced by send().

int wibble::log::FileSender::out

protected

Referenced by FileSender(), send(), and ~FileSender().

The documentation for this struct was generated from the following files:

- file.h
- file.cpp